Skip to main content
Version: 2.0

Query multiple corpora

POST 

/v2/query

Queries one or more corpora and generates a response with Retrieval Augmented Generation (RAG). Similar to the advanced single corpus query.

  • Set the unique corpus_key for each corpus to query. You create the key in the Vectara Console or the Create Corpus API. You can assign a custom corpus_key that follows your preferred naming convention. Search requests reference the corpus by this key.
  • Customize the search with the query text (query), pagination (offset and limit), and metadata filters (metadata_filter).
  • Apply reranking (reranker) to improve the order of results. Opt in to generation by setting the generation property. If you exclude the property or set it to null, the response does not include generation. Learn more
  • Set generation_preset_name to Vectara's RAG-focused LLM (Mockingbird). Learn more
  • Control summarization with parameters such as max_response_characters, temperature, and frequency_penalty. Learn more
  • Customize citation formats in summaries with the citations object: numeric, HTML, or Markdown links. Learn more

Request

Responses

A response to a query.